uuid: 9f38c0cd-4571-4e70-be77-8f6a43d4035a
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_paragraph_ramco_api_fields
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: drupal_7_paragraphs
label: 'My Account Tile'
source:
  plugin: d7_nar_paragraphs_item
  bundle: ramco_api_fields
process:
  id:
    -
      plugin: get
      source: item_id
  revision_id:
    -
      plugin: get
      source: revision_id
  type:
    -
      plugin: d7_paragraph_type
      source: bundle
  parent_field_name:
    -
      plugin: d7_paragraph_parent_type
      source: field_name
  parent_id:
    -
      plugin: d7_paragraph_parent_id
      source: field_parent
  parent_type:
    -
      plugin: d7_paragraph_parent_bundle
      source: field_name
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  field_title:
    -
      plugin: get
      source: field_title
  field_blurb:
    -
      plugin: d7_body_field_translate
      source: field_blurb_text
  field_action_button:
    -
      plugin: field_link
      source: field_ramco_ext_link
  field_ma_fields:
    -
      plugin: get
      source: field_ramco_fields
  field_blurb_bottom:
    -
      plugin: d7_body_field_translate
      source: field_blurb_bottom_text
  field_max_height:
    -
      plugin: get
      source: field_panel_max_height
  field_no_result_message:
    -
      plugin: get
      source: field_no_result_message
destination:
  plugin: 'entity:paragraph'
migration_dependencies:
  required: {  }
  optional: {  }
